Bug 1851351 - OCP 4.4.9: EtcdMemberIPMigratorDegraded: rpc error: code = Canceled desc = grpc: the client connection is closing
Summary: OCP 4.4.9: EtcdMemberIPMigratorDegraded: rpc error: code = Canceled desc = gr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd Operator
Version: 4.4
Hardware: All
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
: 1856272 1899344 (view as bug list)
Depends On:
Blocks: 1915560
TreeView+ depends on / blocked
 
Reported: 2020-06-26 09:47 UTC by David Hernández Fernández
Modified: 2021-02-24 15:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1915560 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:13:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 517 0 None closed Bug 1851351: Remove stale EtcdMemberIPMigratorDegraded condition 2021-02-19 02:48:37 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:13:23 UTC

Comment 3 Dan Mace 2020-08-12 19:45:47 UTC
*** Bug 1856272 has been marked as a duplicate of this bug. ***

Comment 4 Dan Mace 2020-08-12 19:47:18 UTC
Had a chance to dig into this a bit more, and we decided we can pretty easily mitigate the event spam with a small operator patch. The WIP is here: https://github.com/openshift/cluster-etcd-operator/pull/421

Comment 5 Dan Mace 2020-08-12 19:50:46 UTC
Moving this to 4.4.z as there's nothing to do in 4.5 or 4.6 (the IP migration code is gone in those versions).

Comment 9 Suresh Kolichala 2020-11-30 18:10:15 UTC
*** Bug 1899344 has been marked as a duplicate of this bug. ***

Comment 21 errata-xmlrpc 2021-02-24 15:13:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.